{
	saved_yet [0]

	Init[ ()
	{
		if( saved_yet = 0 )
		{
			saved_yet = 1;

			// create them but hide them until timer goes off
			SetID("gPlane");
			SetTarget(Level.GetEntity("flizzak"));
			SetInvulnerable( true );
			ShowEntity( false );
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=10 )
		{
			SetInvulnerable( false );
			ShowEntity( true );

//			Level.Log("--> DelayReached(10)");
//			Level.Log("        Go bomber");
			
			xPos = Random(26240, 31634);
			yPos = 31000;
			zPos = 4000;
				
			SetPosition( xPos, yPos, zPos );
			ShowEntity(true);
			SetInvulnerable(false);
			SetSpeed(5);
			SetState_DiveAttack();
			
//			Level.Log("   <-- DelayReached(10)");
		}
	}]

	DiveAttackFinished[ ()
	{
		Level.saved_NumDeadPlanes = toInt( Level.saved_NumDeadPlanes + 1 );
		Level.CheckBomberRunOver();
	}]
}